From: Christian Heller <c.heller@plomlompom.de>
Date: Mon, 10 Feb 2025 15:22:26 +0000 (+0100)
Subject: Disallow commit without at least passing unit tests.
X-Git-Url: https://plomlompom.com/repos/%7B%7Bdb.prefix%7D%7D/%7B%7Bprefix%7D%7D/%7B%7B%20web_path%20%7D%7D/booking/todo?a=commitdiff_plain;h=c0830e1b1e3f4a610e95ea97478e62c94996a943;p=taskplom

Disallow commit without at least passing unit tests.
---

diff --git a/scripts/pre-commit b/scripts/pre-commit
index 414cb51..532f2dd 100755
--- a/scripts/pre-commit
+++ b/scripts/pre-commit
@@ -8,4 +8,5 @@ for dir in $DIRS; do
     done
 done
 echo "Running unittest-parallel on tests/."
+set -e
 unittest-parallel -t . -s tests/ -p '*.py'